# $Revision: 1.5 $, $Date: 2006/10/25 18:30:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Petal
Summary:	Petal - Perl Template Attribute Language - TAL for Perl!
Summary(pl):	Petal - Perl Template Attribute Language - TAL dla Perla!
Name:		perl-Petal
Version:	2.19
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/B/BP/BPOSTLE/%{pnam}-%{version}.tar.gz
# Source0-md5:	5be2cd6bba2be5d61aa82be5849e4a09
URL:		http://search.cpan.org/~bpostle/Petal-2.18/lib/Petal.pm
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Lingua-31337
BuildRequires:	perl-MKDoc-XML
BuildRequires:	perl-Locale-Maketext-Gettext
%endif
Requires:	perl-Lingua-31337
Requires:	perl-MKDoc-XML
Requires:	perl-Locale-Maketext-Gettext
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Petal is a XML based templating engine that is able to process any
kind of XML, XHTML and HTML.

Petal borrows a lot of good ideas from the Zope Page Templates TAL
specification, it is very well suited for the creation of WYSIWYG
XHTML editable templates.

The idea is to further enforce the separation of logic from
presentation. With Petal, graphic designers can use their favorite
WYSIWYG editor to easily edit templates without having to worry about
the loops and ifs which happen behind the scene.

%description -l pl
Petal to silnik szablonw oparty na XML-u, potraficy przetwarza
dowolny rodzaj XML-a, XHTML-a i HTML-a.

Petal zapoycza wiele dobrych pomysw ze specyfikacji TAL Zope Page
Templates i jest bardzo dobrze dopasowany do tworzenia modyfikowalnych
szablonw WYSIWYG XHTML.

Ide jest dalsze wymuszenie oddzielenia logiki od prezentacji. Przy
uyciu Petala projektanci grafiki mog uywa swojego ulubionego
edytora WYSIWYG do atwego modyfikowania szablonw bez potrzeby
martwienia si o ptle i warunki ukryte za scen.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Petal.pm
%dir %{perl_vendorlib}/Petal
%{perl_vendorlib}/Petal/*.pm
%dir %{perl_vendorlib}/Petal/Cache
%{perl_vendorlib}/Petal/Cache/*.pm
%dir %{perl_vendorlib}/Petal/Canonicalizer
%{perl_vendorlib}/Petal/Canonicalizer/*.pm
%dir %{perl_vendorlib}/Petal/Hash
%{perl_vendorlib}/Petal/Hash/*.pm
%dir %{perl_vendorlib}/Petal/TranslationService
%{perl_vendorlib}/Petal/TranslationService/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Petal.spec,v $
Revision 1.5  2006/10/25 18:30:11  ankry
- added missing dir, simplified %files, rel. 2

Revision 1.4  2006/10/25 17:23:44  ankry
- ver. 2.19

Revision 1.3  2006/02/19 18:15:32  qboosh
- pl, missing dirs

Revision 1.2  2006/02/15 01:13:44  mguevara
- added: md5sum, BR and R

Revision 1.1  2006/02/15 01:07:04  mguevara
- Perl Template Attribute Language - TAL for Perl
